Subject: Re: [patch 2.6.13 2/2] 3c59x: add option for using memory-mapped PCI I/O resources

From: "John W. Linville" <[email-masked]>
Date: Tue, 6 Sep 2005 18:57:46 -0400

On Tue, Sep 06, 2005 at 03:15:46PM -0700, Andrew Morton wrote:
> "John W. Linville" <[email-masked]> wrote:
> >
> > I fully intend to have have a flag in the private data set based on
> >  the PCI ID when I accumulate some data on which devices support this
> >  and which don't.  So far I've only got a short list...  Do you think
> >  such a flag should be based on which ones work, or which ones break?
> 
> The ones which are known to work.
> 
> Bear in mind that this is an old, messy and relatively stable driver which
> handles a huge number of different NICs.   Caution is the rule here.

I definitely agree.  That is another part of why I defaulted to "use_mmio=0".

I'll post PCI ID based patches as I determine supported cards.

Thanks,

John
-- 
John W. Linville
[email-masked]